net.sf.jasperreports.export.parameters

## Class ParametersHtmlExporterOutput

- java.lang.Object
- - net.sf.jasperreports.export.parameters.AbstractParametersExporterOutput
  - - net.sf.jasperreports.export.parameters.ParametersWriterExporterOutput
    - - net.sf.jasperreports.export.parameters.ParametersHtmlExporterOutput

- All Implemented Interfaces:
    ExporterOutput, HtmlExporterOutput, WriterExporterOutput

  Deprecated.
  To be removed.

      public class ParametersHtmlExporterOutput
      extends ParametersWriterExporterOutput
      implements HtmlExporterOutput

  Version:
    $Id: ParametersHtmlExporterOutput.java 6738 2013-11-13 15:13:03Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.export.parameters.ParametersWriterExporterOutput

      `encoding`

    - ### Fields inherited from class net.sf.jasperreports.export.parameters.AbstractParametersExporterOutput

      `parameters`

    - ### Fields inherited from interface net.sf.jasperreports.export.WriterExporterOutput

      `PROPERTY_CHARACTER_ENCODING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParametersHtmlExporterOutput(JasperReportsContext jasperReportsContext, java.util.Map<JRExporterParameter,java.lang.Object> parameters, JasperPrint jasperPrint)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `HtmlResourceHandler` | `getFontHandler()` Deprecated.
    `HtmlResourceHandler` | `getImageHandler()` Deprecated.
    `HtmlResourceHandler` | `getResourceHandler()` Deprecated.

    - ### Methods inherited from class net.sf.jasperreports.export.parameters.ParametersWriterExporterOutput

      `close, getEncoding, getWriter, setEncoding`

    - ### Methods inherited from class net.sf.jasperreports.export.parameters.AbstractParametersExporterOutput

      `getParameterResolver, getPropertiesUtil`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.export.WriterExporterOutput

      `close, getEncoding, getWriter`

- - ### Constructor Detail

    - #### ParametersHtmlExporterOutput

          public ParametersHtmlExporterOutput(JasperReportsContext jasperReportsContext,
                                      java.util.Map<JRExporterParameter,java.lang.Object> parameters,
                                      JasperPrint jasperPrint)

      Deprecated.

  - ### Method Detail

    - #### getImageHandler

          public HtmlResourceHandler getImageHandler()

      Deprecated.
      Specified by:
        `getImageHandler` in interface `HtmlExporterOutput`

    - #### getFontHandler

          public HtmlResourceHandler getFontHandler()

      Deprecated.
      Specified by:
        `getFontHandler` in interface `HtmlExporterOutput`

    - #### getResourceHandler

          public HtmlResourceHandler getResourceHandler()

      Deprecated.
      Specified by:
        `getResourceHandler` in interface `HtmlExporterOutput`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com